
# react-native-unstoppable-background-service

## Getting started

`$ npm install react-native-unstoppable-background-service --save`

### Mostly automatic installation

`$ react-native link react-native-unstoppable-background-service`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-unstoppable-background-service` and add `RNUnstoppableBackgroundService.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNUnstoppableBackgroundService.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.paisasoft.rnbridges.unstoppablebackgroundservice.RNUnstoppableBackgroundServicePackage;` to the imports at the top of the file
  - Add `new RNUnstoppableBackgroundServicePackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-unstoppable-background-service'
  	project(':react-native-unstoppable-background-service').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-unstoppable-background-service/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-unstoppable-background-service')
  	```


## Usage
```javascript
import RNUnstoppableBackgroundService from 'react-native-unstoppable-background-service';

// TODO: What to do with the module?
RNUnstoppableBackgroundService;
```
  